﻿
@{
    ViewBag.Title = "Watch Video - " + Model.Name;
}

@model  CardFileOfTextMaterials.BLL.DTO.In.MediaDTO

@using CardFileOfTextMaterials.BLL.DTO.Out

@helper CreateListComents(List<CardFileOfTextMaterials.BLL.DTO.In.CommentDTO> collections)
{   
<div class="row">
    @foreach (var el in collections)
    {
        if (ViewBag.IdUser == el.UserId)
        {
            using (Html.BeginForm("RemoveComent", "Home", FormMethod.Post, new { @class = "album py-5 bg-light", @id = "RemoveComentForm" }))
            {
                @Html.AntiForgeryToken()
                
                @Html.Hidden("IdComent", el.Id)
                @Html.Hidden("IdMedia", Model.Id)

                <div class="box-shadow">
                    <div class="card-body">
                        <h4>@el.UserName</h4>
                        <p>@el.Text</p>
                        <div class="btn float-lg-left" data-form-method="post" onclick="$('#RemoveComentForm').submit();">
                            <p>Delete</p>
                        </div>
                    </div>
                </div>

            }

        }
        else
        {
            <div class="box-shadow">
                <div class="card-body">
                    <h4>@el.UserName</h4>
                    <p>@el.Text</p>
                </div>
            </div>
        }
    }
</div>
}


            <div class="block-video">
                <video class="video-player" controls>
                    <source src="@Url.Content(@Model.PathMedia)" />
                </video>
            </div>

            <div class="container-fluid Fix-Footer">
                <div class="row">
                    <div class="col-12 col-md-8">
                        <h3>@Model.Name</h3>
                    </div>
                </div>


                <div class="row">
                    <div class="col-6 col-md-4">
                        <h5>@Model.Created</h5>
                    </div>
                    <div class="col-6 col-md-4">
                        <div class="form-inline">
                            <div class="form-group mb-2">
                                @using (Html.BeginForm("Like", "Home", FormMethod.Post, new { @class = "album py-5 bg-light", @id = "LikeForm" }))
                                {

                                    @Html.HiddenFor(el => el.Id)


                                    <div class="like-dislike" href="@Url.Action("Like", new { @Model.Id })" data-form-method="post" onclick="$('#LikeForm').submit();">
                                        @if (Model.IsLiked == 1)
                                        {
                                            <img class="like-dislike-img" src="~/Content/Images/EnterLike.png" />
                                        }
                                        else
                                        {
                                            <img class="like-dislike-img" src="~/Content/Images/like.png" />
                                        }
                                        <p>@Model.AmountLikes</p>
                                    </div>
                                }
                            </div>
                            <div class="form-group mx-sm-3 mb-2">
                                @using (Html.BeginForm("Dislike", "Home", FormMethod.Post, new { @class = "album py-5 bg-light", @id = "DislikeForm" }))
                                {
                                    @Html.HiddenFor(el => el.Id)

                                    <div class="like-dislike" href="@Url.Action("Dislike", new { @Model.Id })" data-form-method="post" onclick="$('#DislikeForm').submit();">
                                        @if (Model.IsLiked == 2)
                                        {
                                            <img class="like-dislike-img" src="~/Content/Images/EnterDislike.png" />
                                        }
                                        else
                                        {
                                            <img class="like-dislike-img" src="~/Content/Images/dislike.png" />
                                        }
                                        <p>@Model.AmountDislikes</p>

                                    </div>

                                }
                            </div>
                        </div>

                    </div>
                </div>
                <br />

                <hr />
                <h4>@Model.Author</h4>
                <p>@Model.Description</p>
                <hr />
                <p>@Model.AmountComents Coments </p>
                @using (Html.BeginForm("NewComent", "Home", FormMethod.Post, new { @class = "album py-5 bg-light" }))
                {
                    @Html.HiddenFor(el => el.Id)
                    @Html.EditorFor(c => c.NewComent, new { @class = "form-control"  });

                    <input class="btn btn-primary active" type="submit" value="Send" />
                }
                @CreateListComents(Model.Comments)
            </div>

